Package org.eclipse.microprofile.config.tck

# Class ConfigPropertiesTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.config.tck.ConfigPropertiesTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class ConfigPropertiesTest extends org.jboss.arquillian.testng.Arquillian
Verify the support `ConfigProperties`.

Author:
  Emily Jiang

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ConfigPropertiesTest.BeanFour`
`static class`
`ConfigPropertiesTest.BeanOne`
`static class`
`ConfigPropertiesTest.BeanThree`
`static class`
`ConfigPropertiesTest.BeanTwo`
`static class`
`ConfigPropertiesTest.InjectingBean`

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`ConfigPropertiesTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`testConfigPropertiesDefaultOnBean()`
`void`
`testConfigPropertiesNoPrefixOnBean()`
`void`
`testConfigPropertiesNoPrefixOnBeanThenSupplyPrefix()`
`void`
`testConfigPropertiesPlainInjection()`
`void`
`testConfigPropertiesWithoutPrefix()`
`void`
`testConfigPropertiesWithPrefix()`
`void`
`testNoConfigPropertiesAnnotationInjection()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigPropertiesTest

public ConfigPropertiesTest()

## Method Details

### deploy

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### testConfigPropertiesPlainInjection

public void testConfigPropertiesPlainInjection()

### testConfigPropertiesWithPrefix

public void testConfigPropertiesWithPrefix()

### testConfigPropertiesWithoutPrefix

public void testConfigPropertiesWithoutPrefix()

### testConfigPropertiesNoPrefixOnBean

public void testConfigPropertiesNoPrefixOnBean()

### testConfigPropertiesNoPrefixOnBeanThenSupplyPrefix

public void testConfigPropertiesNoPrefixOnBeanThenSupplyPrefix()

### testNoConfigPropertiesAnnotationInjection

public void testNoConfigPropertiesAnnotationInjection()

### testConfigPropertiesDefaultOnBean

public void testConfigPropertiesDefaultOnBean()